Package org.postgresql.hostchooser

# Class HostChooserFactory

java.lang.Object
org.postgresql.hostchooser.HostChooserFactory

public class HostChooserFactory extends Object
Chooses a `HostChooser` instance based on the number of hosts and properties.

## Constructor Summary

Constructors
Constructor
Description
`HostChooserFactory()`

## Method Summary

Modifier and Type
Method
Description
`static HostChooser`
`createHostChooser(HostSpec[] hostSpecs, HostRequirement targetServerType, Properties info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HostChooserFactory

public HostChooserFactory()

## Method Details

### createHostChooser

public static HostChooser createHostChooser(HostSpec[] hostSpecs, HostRequirement targetServerType, Properties info)